import {
    StyleSheet,
    Dimensions
  } from 'react-native';

  const { width, height } = Dimensions.get('window');
  export default StyleSheet.create({
    title: {
      fontSize: 17,
      lineHeight: 22,
      letterSpacing:-0.41,
      paddingTop: 13,
      color: 'black',
    },
    container: {
      flex: 1,
      backgroundColor: '#F8F8F8',
      alignItems: 'center',
      width,
      height: height - 64,
      position: 'relative'
    },
    rowContainer: {
      height: 44,
      backgroundColor: '#FFFFFF',
      borderBottomWidth: StyleSheet.hairlineWidth,
      borderBottomColor: '#BCBBC1',
      marginHorizontal: 15,
      flexDirection: 'row',
    },
    ios :{
        color: 'black',
        textAlign: 'center',
        justifyContent: 'center',
        fontSize: 17,
        paddingTop: 13,
        paddingBottom: 9,
    },
    rowText: {
      fontSize: 17,
      color: '#000000',
      paddingTop: 11,
      paddingLeft: 1
    },
    nextArrow: {
      marginVertical: 15,
      width: 8,
      height: 13
    },
    flexContainer: {
      // 容器需要添加direction才能变成让子元素flex
      flexDirection: 'row'
  },
  scrollFlex: {
    flex: 1
  },
  rowItemRight: {
    alignItems: 'flex-end',
    flex: 1,
  },
  rowItemLeft: {
    alignItems: 'flex-start',
    flex: 1,
  },
  subRowContainer: {
    height: 36,
    backgroundColor: '#F8F8F8',
    borderBottomWidth: StyleSheet.hairlineWidth,
    borderBottomColor: '#BCBBC1',
    borderTopWidth: StyleSheet.hairlineWidth,
    borderTopColor: '#BCBBC1'
  },
  rowBackground: {
    width,
    backgroundColor: '#FFF',
    borderBottomWidth: StyleSheet.hairlineWidth,
    borderBottomColor: '#BCBBC1',
    borderTopWidth: StyleSheet.hairlineWidth,
    borderTopColor: '#BCBBC1'
  },
  emptyRowContainer: {
    flex: 1,
    borderTopWidth: StyleSheet.hairlineWidth,
    borderTopColor: '#BCBBC1',
    backgroundColor: '#F8F8F8',
    width,
    height: 80
  },
  btnLogoutText: {
    color: 'red',
    textAlign: 'center',
    alignItems: 'center',
    justifyContent: 'center',
    fontSize: 15,
    backgroundColor: 'transparent'
  },
  btnLogout: {
    left: 16,
    right: 16,
    height: 44,
    borderRadius: 20,
    backgroundColor: '#FFF',
    position: 'absolute',
    bottom: 27,
    justifyContent: 'center',
    alignItems: 'center'
  },
  headerTitleContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    paddingRight: 30
  },
  headerTitleTxt: {
    color: '#000',
    fontSize: 17,
    lineHeight: 22,
    letterSpacing: -0.41
  },
  nav_left_icon_container: {
    marginLeft: 20
  },
  nav_icon: {
    width: 27,
    height: 27
  },
  alerterContainer: {
    position: 'absolute',
    top: 0,
    flex: 1
  },
  logoutMessage: {
    fontSize: 13,
    lineHeight: 22,
    letterSpacing: -0.31,
    color:'#4A4A4A'
  },
  logoutTitle: {
    fontSize: 17,
    lineHeight: 22,
    letterSpacing: -0.41,
  },
  dialog_text: {
    fontSize: 13,
    lineHeight: 22,
    alignItems: 'center',
    color: '#4A4A4A',
    marginTop: 0,
    marginBottom: 13
  }

  });